import Vue from 'vue'
import App from './App'

import request from '@/network/request.js'
import {url,wsUrl,configurationUrl,configurationhtmlUrl} from '@/network/config.js'
import store from '@/store/index.js'
import {Base64} from '@/static/common/js/base64.js'
import api from '@/network/api/index.js'
let staticPath = '';
// #ifdef MP-WEIXIN
staticPath = 'https://file.iot-fast.com/wxapp/static'
// #endif
// #ifndef MP-WEIXIN
staticPath = '@/static'
// #endif


Vue.prototype.$staticPath = staticPath;
Vue.prototype.$store = store;
Vue.prototype.$request = request;
Vue.prototype.$url = url;
Vue.prototype.$wsUrl = wsUrl;
Vue.prototype.$configurationUrl = configurationUrl;
Vue.prototype.$configurationhtmlUrl = configurationhtmlUrl;
Vue.prototype.$urlParameter = '/prod-api';

// 引入全局uView
import uView from 'uview-ui'
Vue.use(uView);

import NavBar from '@/common/components/navbar/NavBar.vue'
Vue.component('NavBar',NavBar)

let mpShare = require('uview-ui/libs/mixin/mpShare.js');
Vue.mixin(mpShare)

Vue.prototype.$api = api;
// Vue.prototype.$htoProtocol = htoProtocol;
// Vue.prototype.$wsProtocol = wsProtocol;

Vue.prototype.$Base64 = new Base64();

Vue.config.productionTip = false
App.mpType = 'app'



const app = new Vue({
    ...App
})
app.$mount()
